Bug 17798 - XFree86 takes 30-80 MB RAM on Geforce DDR
XFree86 takes 30-80 MB RAM on Geforce DDR
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-22 17:46 EDT by roystgnr
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 12:47:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description roystgnr 2000-09-22 17:46:02 EDT
I'm entering this in response to a slashdot post; someone else mentioned
experiencing the same problem, and bero@redhat.com replied that nobody had
submitted it to bugzilla.redhat.com yet.

I am using a 32 MB Geforce DDR with XFree86-4.0.1-0.43,
/usr/X11R6/lib/modules/drivers/nv_drv.o as provided in that RPM,
glibc-2.1.92-5, and kernel 2.4.0-test7 (hand compiled from kernel.org
sources).

XFree has the dbe, extmod, type1, freetype, and glx modules loaded, and is
running at 1152x864x24bpp resolution/color depth.

I am running 3 tty VTs, Helix Gnome with sawfish configured to use one 3x2
screen sized workspace, netscape-communicator-4.75-0.6.2 (with 3 open
windows, and open long enough to have leaked up to 40-50MB RAM usage
itself), and have 6 gnome-terminal windows open.  My memory usage is as
follows:

From ps auwwx:

USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root       765 18.8 23.2 86372 29520 ?       R    Sep19 750:25 /etc/X11/X
-auth /var/gdm/:0.Xauth :0

From top:

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
  765 root      13   0 81740  77M  1432 S     0.4 62.2 750:25 X

From free:
             total       used       free     shared    buffers     cached
Mem:        127180     122800       4380          0        588      24052
-/+ buffers/cache:      98160      29020
Swap:       128988       9576     119412

If I run a second X server with no clients, "X :1", I see the following
usage on it:

From "ps auwwx":
USER       PID %CPU %MEM   VSZ  RSS TTY      STAT START   TIME COMMAND
root     10147  0.8  5.1 57548 6504 ?        S    16:40   0:00 /etc/X11/X
:1

From top:
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
10147 root       9   0 56092  54M  1544 S     0.0 44.1   0:00 X


I am somewhat confused about how the RSS (resident set size?) can be
reported so differently between top and ps, but those aren't typos.
Comment 1 Preston Brown 2001-02-26 13:57:38 EST
This is simply the memory mapped by the card.  It isn't actually using that much
memory.

Note You need to log in before you can comment on or make changes to this bug.